Bug 219899 - High CPU utilization for no apparent reason
High CPU utilization for no apparent reason
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: beryl-core (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 20:54 EST by Gian Paolo Mureddu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 16:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-12-15 20:54:41 EST
Description of problem:
After some time into my session (beryl is set to start as the default Window
manager and at session startup) I notice an increase on the global CPU
utilization of about 60%. When I open top to check for the process responsible
for the scalade on resource utilization, beryl is sucking somewhere in between
49 and 52% of the CPU cycles, immediately followed by Xorg (at ~20% usually).
The only way to prevent this from happening is by using Metacity for a while in
the session, selected from the beryl manager, and then restart the window
manger. Some times only reloading the window manager is enough to drop the CPU
utilization.


Version-Release number of selected component (if applicable):
beryl-core-1.3-2

How reproducible:
Often


Additional info:

I'm not sure this is a problem strictly of beryl or if it is a problem related
to the nVidia driver I am running (9631) or a legacy configuration issue (pre
1.3 configuration files found in my home directory). I haven't been able to
associate any particular event to the scalade on CPU utilization nor closing any
apparent application (other than beryl itself) that may free up CPU cycles.
Comment 1 Thorsten Leemhuis 2006-12-20 12:20:39 EST
Just FYI, I had constant high CPU (~ 35 percent according to the gnome applet)
when I'm was on a viewport where thunderbird is shown. Removing the activity
indicator from the toolbar fixed it.
Comment 2 Jarod Wilson 2007-01-02 13:18:57 EST
Back from vacation, went to poke beryl's bug tracker and found that 0.1.4 came
out last week. So I'm in the process of spinning new packages. Hopefully they
fix the host of problems folks have reported with 0.1.3...
Comment 3 Jarod Wilson 2007-01-03 16:13:43 EST
With 0.1.4, I've got the gnome applet running, thunderbird on the current
viewport and no apparent cpu usage problems.
Comment 4 Gian Paolo Mureddu 2007-01-03 16:34:52 EST
When will you be releasing the 1.4 packages as updates?
Comment 5 Jarod Wilson 2007-01-03 16:37:56 EST
I've already done my part. :) They've been built, and are simply awaiting
signing and pushing to the mirrors.
Comment 6 Gian Paolo Mureddu 2007-01-03 16:42:21 EST
Excellent. Thanks for your hard work on bringing Beryl to Fedora!

Note You need to log in before you can comment on or make changes to this bug.